TestNs\MyApp\MissionType:
    properties:
        crmId:
            expose: true
            access_type: public_method
            serialized_name: crmId
            accessor:
                getter: getCrmId
                setter: setCrmId
            xml_attribute: true
            type: int
        companyName:
            expose: true
            access_type: public_method
            serialized_name: companyName
            accessor:
                getter: getCompanyName
                setter: setCompanyName
            xml_attribute: true
            type: string
        number:
            expose: true
            access_type: public_method
            serialized_name: number
            accessor:
                getter: getNumber
                setter: setNumber
            xml_attribute: true
            type: string
        title:
            expose: true
            access_type: public_method
            serialized_name: title
            accessor:
                getter: getTitle
                setter: setTitle
            xml_attribute: true
            type: string
        payrollType:
            expose: true
            access_type: public_method
            serialized_name: payrollType
            accessor:
                getter: getPayrollType
                setter: setPayrollType
            xml_attribute: true
            type: string
        contractType:
            expose: true
            access_type: public_method
            serialized_name: contractType
            accessor:
                getter: getContractType
                setter: setContractType
            xml_attribute: true
            type: string
        monthlyWorkingHours:
            expose: true
            access_type: public_method
            serialized_name: monthlyWorkingHours
            accessor:
                getter: getMonthlyWorkingHours
                setter: setMonthlyWorkingHours
            xml_attribute: true
            type: float
        weeklyWorkingHours:
            expose: true
            access_type: public_method
            serialized_name: weeklyWorkingHours
            accessor:
                getter: getWeeklyWorkingHours
                setter: setWeeklyWorkingHours
            xml_attribute: true
            type: float
        dailyWorkingHours:
            expose: true
            access_type: public_method
            serialized_name: dailyWorkingHours
            accessor:
                getter: getDailyWorkingHours
                setter: setDailyWorkingHours
            xml_attribute: true
            type: float
        teamSize:
            expose: true
            access_type: public_method
            serialized_name: teamSize
            accessor:
                getter: getTeamSize
                setter: setTeamSize
            xml_attribute: true
            type: int
        workingHours:
            expose: true
            access_type: public_method
            serialized_name: workingHours
            accessor:
                getter: getWorkingHours
                setter: setWorkingHours
            xml_attribute: true
            type: float
        workingDays:
            expose: true
            access_type: public_method
            serialized_name: workingDays
            accessor:
                getter: getWorkingDays
                setter: setWorkingDays
            xml_attribute: true
            type: float
        billingCoefficient:
            expose: true
            access_type: public_method
            serialized_name: billingCoefficient
            accessor:
                getter: getBillingCoefficient
                setter: setBillingCoefficient
            xml_attribute: true
            type: float
        billingMargin:
            expose: true
            access_type: public_method
            serialized_name: billingMargin
            accessor:
                getter: getBillingMargin
                setter: setBillingMargin
            xml_attribute: true
            type: float
        billingAmount:
            expose: true
            access_type: public_method
            serialized_name: billingAmount
            accessor:
                getter: getBillingAmount
                setter: setBillingAmount
            xml_attribute: true
            type: float
        billedNormalHours:
            expose: true
            access_type: public_method
            serialized_name: billedNormalHours
            accessor:
                getter: getBilledNormalHours
                setter: setBilledNormalHours
            xml_attribute: true
            type: float
        estimatedDailyBilledNormalHours:
            expose: true
            access_type: public_method
            serialized_name: estimatedDailyBilledNormalHours
            accessor:
                getter: getEstimatedDailyBilledNormalHours
                setter: setEstimatedDailyBilledNormalHours
            xml_attribute: true
            type: float
        validationDateByCommercialDirection:
            expose: true
            access_type: public_method
            serialized_name: validationDateByCommercialDirection
            accessor:
                getter: getValidationDateByCommercialDirection
                setter: setValidationDateByCommercialDirection
            xml_attribute: true
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        validationDateByCustomer:
            expose: true
            access_type: public_method
            serialized_name: validationDateByCustomer
            accessor:
                getter: getValidationDateByCustomer
                setter: setValidationDateByCustomer
            xml_attribute: true
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        conventionalCategory:
            expose: true
            access_type: public_method
            serialized_name: conventional-category
            accessor:
                getter: getConventionalCategory
                setter: setConventionalCategory
            type: TestNs\MyApp\ConventionalElementType
        salaryComponents:
            expose: true
            access_type: public_method
            serialized_name: salary-components
            accessor:
                getter: getSalaryComponents
                setter: setSalaryComponents
            type: TestNs\MyApp\SalaryComponentsType
        performanceCalculating:
            expose: true
            access_type: public_method
            serialized_name: performance-calculating
            accessor:
                getter: getPerformanceCalculating
                setter: setPerformanceCalculating
            type: TestNs\MyApp\PerformanceCalculatingType
        insurances:
            expose: true
            access_type: public_method
            serialized_name: insurances
            accessor:
                getter: getInsurances
                setter: setInsurances
            type: array<TestNs\MyApp\InsuranceType>
            xml_list:
                inline: false
                entry_name: insurance
                skip_when_empty: true
        provisionedAmounts:
            expose: true
            access_type: public_method
            serialized_name: provisioned-amounts
            accessor:
                getter: getProvisionedAmounts
                setter: setProvisionedAmounts
            type: TestNs\MyApp\ProvisionedAmountsType
        additionalServices:
            expose: true
            access_type: public_method
            serialized_name: additional-services
            accessor:
                getter: getAdditionalServices
                setter: setAdditionalServices
            type: TestNs\MyApp\MissionType\AdditionalServicesAType
        payrollScoringProfile:
            expose: true
            access_type: public_method
            serialized_name: payroll-scoring-profile
            accessor:
                getter: getPayrollScoringProfile
                setter: setPayrollScoringProfile
            type: array<TestNs\MyApp\PayrollScoringProfileParameterType>
            xml_list:
                inline: false
                entry_name: parameter
                skip_when_empty: true
        billingValues:
            expose: true
            access_type: public_method
            serialized_name: billing-values
            accessor:
                getter: getBillingValues
                setter: setBillingValues
            type: array<TestNs\MyApp\BillingValueType>
            xml_list:
                inline: false
                entry_name: billing-value
                skip_when_empty: true
